Bug 132409 - [patch] games/wesnoth-devel: update to 1.5.12
Summary: [patch] games/wesnoth-devel: update to 1.5.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip Paeps
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-08 13:00 UTC by swell.k
Modified: 2009-03-22 19:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2009-03-08 13:00:09 UTC
- regen and sort pkg-plist
- unbreak build
- add fribidi dependency from configure script
- require NLS when OPTIONS contain one (or more) of: CAMPAIGN, SERVER, TOOLS
  else linking fails on unrecognized symbols from gettext library, like this

g++42 -DHAVE_REVISION -I../intl -I../intl -I/usr/local/include/SDL -I/usr/local/include -D_GNU_SOURCE=1 -D_REENTRANT -DWESNOTH_PATH=\"/usr/local/share/wesnoth\" -DLOCALEDIR=\"/usr/local/share/locale\" -DHAS_RELATIVE_LOCALEDIR=0 -DFIFODIR=\"/var/run/wesnothd\" -DWESNOTH_PREFIX=\"/usr/local\" -DHAVE_FRIBIDI -I/usr/local/include -O2 -W -Wall -ansi -O2 -pipe -march=native -fno-strict-aliasing -Werror -Wno-unused -Wno-sign-compare -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC -D_X11  -I/usr/local/include    -I/usr/local/include   -L/usr/local/lib -L/usr/local/lib -o campaignd addon_checks.o campaign_server/campaign_server.o server/input_stream.o network.o network_worker.o loadscreen_empty.o -L. -lwesnoth-core -lboost_iostreams -lSDL_net -L/usr/local/lib -Wl,-rpath,/usr/local/lib -lSDL -pthread  -L/usr/local/lib -R/usr/local/lib -lX11  -L/usr/lib -lz
./libwesnoth-core.a(gettext.o)(.text+0x2c): In function `dsngettext(char const*, char const*, char const*, int)':
: undefined reference to `libintl_bind_textdomain_codeset'
./libwesnoth-core.a(gettext.o)(.text+0x3d): In function `dsngettext(char const*, char const*, char const*, int)':
: undefined reference to `libintl_dngettext'
./libwesnoth-core.a(gettext.o)(.text+0x95): In function `sngettext(char const*, char const*, int)':
: undefined reference to `libintl_ngettext'
./libwesnoth-core.a(gettext.o)(.text+0xea): In function `dsgettext(char const*, char const*)':
: undefined reference to `libintl_bind_textdomain_codeset'
./libwesnoth-core.a(gettext.o)(.text+0xf5): In function `dsgettext(char const*, char const*)':
: undefined reference to `libintl_dgettext'
./libwesnoth-core.a(gettext.o)(.text+0x142): In function `sgettext(char const*)':
: undefined reference to `libintl_gettext'
./libwesnoth-core.a(gettext.o)(.text+0x191): In function `egettext(char const*)':
: undefined reference to `libintl_gettext'
./libwesnoth-core.a(tstring.o)(.text+0x454): In function `t_string::add_textdomain(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)':
: undefined reference to `libintl_bindtextdomain'
./libwesnoth-core.a(tstring.o)(.text+0x474): In function `t_string::add_textdomain(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)':
: undefined reference to `libintl_bind_textdomain_codeset'
collect2: ld returned 1 exit status

Fix: 

ftp://ftp.lissyara.su/users/Guest/wesnoth-devel.diff.bz2
MD5 (wesnoth-devel.diff.bz2) = 1a4b618b034cb1bc4b185fd46b99916c
(compressed - 67Kb, uncompressed - 1.2Mb)
Comment 1 Edwin Groothuis freebsd_committer 2009-03-08 13:00:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->philip

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2009-03-10 03:58:48 UTC
- update to 1.5.13
- sort properly, reduces diff to about 200Kb uncompressed

ftp://ftp.lissyara.su/users/Guest/wesnoth-devel.diff.bz2
Comment 3 Philip Paeps freebsd_committer 2009-03-10 08:55:27 UTC
State Changed
From-To: open->analyzed

Thanks for the patches.  I was thinking of just updating it to 1.6 when 
that comes out and repo-copying it at the same time, but since you're 
submitting patches, I might as well do an interim-update. 

It's test-compiling now.  When that's done, I'll commit the update. 

Cheers, 

- Philip
Comment 4 swell.k 2009-03-17 03:45:44 UTC
- update distinfo and plist to 1.5.14
- add patch to disable configure check for glibc sendfile().
  AFAIK, it was already disabled until r33522

Port: ftp://ftp.lissyara.su/users/Guest/wesnoth-devel.diff.bz2
ChangeLog: http://svn.gna.org/viewcvs/wesnoth/tags/1.5.14/changelog?rev=33720&view=download
Comment 5 dfilter service freebsd_committer 2009-03-22 19:04:07 UTC
philip      2009-03-22 19:03:41 UTC

  FreeBSD ports repository

  Modified files:
    games/wesnoth-devel  Makefile distinfo pkg-plist 
  Added files:
    games/wesnoth-devel/files patch-configure 
  Log:
  Update to 1.5.14.
  Unbreak pkg-plist.
  
  Add fribidi dependency from configure script.
  Require NLS when OPTIONS contains one (or more) of: CAMPAIGN, SERVER, TOOLS.
  
  Submitted by:   "Anonymous" <swell.k -at- gmail.com>
  PR:             ports/132409
  
  Revision  Changes      Path
  1.66      +16 -4       ports/games/wesnoth-devel/Makefile
  1.48      +3 -3        ports/games/wesnoth-devel/distinfo
  1.3       +11 -0       ports/games/wesnoth-devel/files/patch-configure (new)
  1.54      +8500 -8144  ports/games/wesnoth-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Philip Paeps freebsd_committer 2009-03-22 19:04:08 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!